<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>文本效果</title>
    <style>
        .text{
            margin-bottom: 16px;
        }
        .text-shadow{
            text-shadow: 5px 5px 5px #ff0000;
        }
        .box-shadow{
            width: 100px;
            height: 50px;
            background-color:yellow;
            box-shadow: 10px 10px 10px #888;
        }
        .text-overflow{
            width: 50px;
            height: 24px;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
        }
        .word-wrap{
            width: 50px;
            border:1px solid #000000;
            word-wrap:break-word;
        }
        .word-break{
            width: 50px;
            border:1px solid #000000;
            word-break:break-all;
        }
    </style>
</head>
<body>
    <p class="text text-shadow">text-shadow</p>
    <div class="text box-shadow">box-shadow</div>
    <p class="text text-overflow">text-overflowtext-overflowtext-overflowtext-overflowtext-overflowtext-overflow</p>
    <p class="text word-wrap">thisisaveryveryveryveryveryverylongword.</p>
    <p class="text word-break">thisisaveryveryveryveryveryverylongword.</p>
</body>
</html>